<template>
	<div>
		<!-- <span v-if="data?.title" class="text-base font-bold flex-center mb-5">{{ data?.title }}</span> -->
		
		<AMISRenderer :schema="schema" />

	</div>
</template>

<script setup lang="ts">
import AMISRenderer from '/@/components/amis/AMISRenderer.vue';

const schema = {
	type: 'page',
	title: '表单页面',
	body: [
		{
			type: 'form',
			mode: 'horizontal',
			api: {
				url: '/system/get_sys_notify_list',
				dataType:'form'
			},

			body: [
				{
					label: 'Name',
					type: 'input-text',
					name: 'name',
				},
				{
					label: 'Email',
					type: 'input-email',
					placeholder: '请输入邮箱地址',
					name: 'email',
				},
				// {
				// 	type: 'editor',
				// 	name: 'js',
				// 	label: 'JS',
				// 	language: 'javascript',
				// },
			],
		},
	],
};
</script>
<style scoped lang="scss"></style>
